Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80410 - redhat-config-network crashed when doing help -> about
Summary: redhat-config-network crashed when doing help -> about
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578 81720
TreeView+ depends on / blocked
 
Reported: 2002-12-26 00:07 UTC by Peter van Egdom
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 18:59:20 UTC


Attachments (Terms of Use)

Description Peter van Egdom 2002-12-26 00:07:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
When selecting 'help -> about' in redhat-config-network, the program crashes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start redhat-config-network
2.
3.
    

Actual Results:  program crashes.

Expected Results:  program should've acted normally.

Additional info:

This backtrace is generated by Bug Buddy :

Backtrace was generated from '/usr/sbin/redhat-config-network'

(no debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...
(no debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...
(no debugging symbols found)...0x4003dbc2 in waitpid () from
/lib/i686/libpthread.so.0
#0  0x4003dbc2 in waitpid () from /lib/i686/libpthread.so.0
#1  0x40d9b2e5 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x40259320 in g_dataset_destroy () from /usr/lib/libglib-2.0.so.0
#4  0x4025971a in g_datalist_id_set_data_full () from /usr/lib/libglib-2.0.so.0
#5  0x4021d38d in g_object_class_list_properties () from
/usr/lib/libgobject-2.0.so.0
#6  0x4046fed3 in gtk_object_destroy () from /usr/lib/libgtk-x11-2.0.so.0
#7  0x4054dfc2 in gtk_widget_get_default_direction () from
/usr/lib/libgtk-x11-2.0.so.0
#8  0x405539fc in _gtk_window_reposition () from /usr/lib/libgtk-x11-2.0.so.0
#9  0x4021d69e in g_object_class_list_properties () from
/usr/lib/libgobject-2.0.so.0
#10 0x400b2eeb in pygobject_dealloc ()
   from /usr/lib/python2.2/site-packages/gtk-2.0/gobjectmodule.so
#11 0x080c2989 in frame_dealloc ()
#12 0x0807ad17 in PyEval_EvalCodeEx ()
#13 0x080c429c in function_call ()
#14 0x080b35b7 in PyObject_Call ()
#15 0x080ba2cb in instancemethod_call ()
#16 0x080b35b7 in PyObject_Call ()
#17 0x0807bed0 in PyEval_CallObjectWithKeywords ()
#18 0x080b356e in PyObject_CallObject ()
#19 0x400b1ba5 in pyg_closure_marshal ()
   from /usr/lib/python2.2/site-packages/gtk-2.0/gobjectmodule.so
#20 0x4021ae17 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#21 0x4022e016 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#22 0x4022d268 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#23 0x4022d494 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#24 0x4054807d in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x40461e92 in gtk_menu_shell_activate_item () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x40460f21 in _gtk_menu_shell_activate () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x404590bd in gtk_menu_reorder_child () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x4044f52c in _gtk_marshal_BOOLEAN__BOXED () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x4021b187 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#30 0x4021ae17 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#31 0x4022db6c in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#32 0x4022d06f in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#33 0x4022d494 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#34 0x40547e7e in gtk_widget_send_expose () from /usr/lib/libgtk-x11-2.0.so.0
#35 0x4044f2e4 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#36 0x4044de4a in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#37 0x40629d05 in _gdk_events_queue () from /usr/lib/libgdk-x11-2.0.so.0
#38 0x402697d5 in g_get_current_time () from /usr/lib/libglib-2.0.so.0
#39 0x4026a678 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#40 0x4026a98d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#41 0x4026b08f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#42 0x4044d66f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#43 0x4032bbcc in _wrap_gtk_main ()
   from /usr/lib/python2.2/site-packages/gtk-2.0/gtk/_gtkmodule.so
#44 0x0807c146 in fast_cfunction ()
#45 0x0807a234 in eval_frame ()
#46 0x0807acce in PyEval_EvalCodeEx ()
#47 0x08077bc5 in PyEval_EvalCode ()
#48 0x08097a69 in run_node ()
#49 0x080969d0 in PyRun_SimpleFileExFlags ()
#50 0x0809631a in PyRun_AnyFileExFlags ()
#51 0x080539f9 in Py_Main ()
#52 0x08053449 in main ()
#53 0x42015970 in __libc_start_main () from /lib/i686/libc.so.6



... and these messages appeared on the xterm :

[peterve@powermate peterve]$ redhat-config-network

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): libglade-WARNING **: Unknown CList child property:
visible

(redhat-config-network:7483): GLib-GObject-WARNING **: invalid uninstantiatable
type `gfloat' in cast to `GtkObject'

(redhat-config-network:7483): GLib-GObject-WARNING **: instance of invalid
non-instantiatable type `<unknown>'

(redhat-config-network:7483): GLib-GObject-CRITICAL **: file gsignal.c: line
2056 (g_signal_handlers_destroy): assertion `G_TYPE_CHECK_INSTANCE (instance)'
failed


dlopen failed on 'libthread_db.so.1' - /lib/i686/libthread_db.so.1: undefined
symbol: ps_get_thread_area
GDB will not be able to debug pthreads.

"/usr/sbin/redhat-config-network": not in executable format: File format not
recognized

Comment 1 Harald Hoyer 2003-01-08 16:48:31 UTC
will be fixed with version >= 1.1.87 .. thx

Comment 2 Harald Hoyer 2003-01-13 15:19:48 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 3 Jay Turner 2003-01-14 18:59:20 UTC
Fix confirmed with redhat-config-network-1.1.87-1 and rhpl-0.74-2.


Note You need to log in before you can comment on or make changes to this bug.